# 05.conf

# Alias URL path
# Redirect URl URLto
# The first URL does not have to exist.
<VirtualHost *>
	DocumentRoot "C:/CST1611/Week/05"
	ServerName week.test
	ErrorLog logs/week.test.Error.log
	CustomLog logs/week.test.Access.log common
	
	# Alias from folder to folder.
	Alias "/subfolder" "C:/Data_WWW/CST1611/Lab02"
	# Alias from folder (Does not exist) to another folder.
	Alias "/foo" "C:/Data_WWW/CST1611"
	# Alias from file to file.
	Alias "/This_is_week_5.txt" "C:/CST1611/Week/05/subfolder/subfolder.txt"
	# Alias from folder to a file.
	Alias "/going_to_file/" "C:/CST1611/Week/05/Going_to_dir.txt"
	# Alias from file to folder.
	Alias "/Going_to_dir.txt" "C:/Data_WWW"
	# Redirect from folder to folder.
	Redirect "/redirectedfolder" "https://cst.ridgewater.edu/JimMartinson/CST1611/Schedule/"
	# Redirect from folder (Does not exist) to another folder.
	Redirect "/nothere" "/going_to_file"
	# Alias from file to file.
	Redirect "/redirect.txt" "/This_is_week_5.txt"
	
	<Directory "C:/CST1611/Week/05/">
		Options All +MultiViews
		AllowOverride All
		Require all granted
	</Directory>
	<Directory C:/Data_WWW/>
		Options All +MultiViews
		AllowOverride All
		Require all granted
	</Directory>
</VirtualHost>
